# BEGIN SourceDeps(oneline):
BuildRequires: unzip
# END SourceDeps(oneline)
%define fedora 19
%global src_name   gnome_shell___elementary_by_half_left-d45raik
%global theme_name elementary
%global theme      Elementary

# Platform dependent constants
# The source contains 2 zip's: one for gnome 3.0 and one for gnome 3.2
%if 0%{?fedora} < 17
%global     shell_ver  3.2
%global     theme_dir  %{theme}-3.2
%else
%global     shell_ver  3.4
%global     theme_dir  %{theme}-3.4
%endif

Name:       gnome-shell-theme-%{theme_name}
Version:    %{shell_ver}
Release:    alt1_3
Summary:    The %{theme} gnome-shell theme
Group:      Graphical desktop/Other

License:    GPLv3 and LGPLv2
URL:        http://half-left.deviantart.com/art/GNOME-Shell-Elementary-251536124
Source0:    http://www.deviantart.com/download/251536124/%{src_name}.zip

Requires:   gnome-shell-extensions
Requires:   gnome-shell >= %{shell_ver}
BuildArch:  noarch
Source44: import.info

%description
The %{theme} gnome-shell theme created by half_left

%prep
%setup -q -c

%build
# nothing to build

%install
mkdir -p -m755 %{buildroot}/%{_datadir}/themes/%{theme}/gnome-shell

# put the theme files into some data dir
cp -pr %{theme_dir}/gnome-shell/* \
     %{buildroot}%{_datadir}/themes/%{theme}/gnome-shell

# delete backup files (*~)
find %{buildroot} -name *~ -type f -exec rm -f '{}' \;

# Remove LICENSE file from BUILDROOT
find %{buildroot} -name LICENSE -type f -exec rm -f '{}' \;

%files
%doc %{theme_dir}/gnome-shell/LICENSE
%dir %{_datadir}/themes/%{theme}
%{_datadir}/themes/%{theme}/*

%changelog
* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 3.4-alt1_3
- update to new release by fcimport

* Wed Jan 09 2013 Igor Vlasenko <viy@altlinux.ru> 3.4-alt1_2
- initial fc import

